package com.persagy.proxy.adm.constant;

import cn.hutool.core.collection.CollUtil;
import lombok.Data;
import lombok.Getter;

import java.util.Set;

/**
 * 对象类型
 * @author Charlie Yu
 * @date 2021-06-25
 */
public interface AdmObjectInfoConstant {
    /** CADID图纸编码*/
    String CADID = "cadId";
    /**名称*/
    String NAME = "name";
    /**ID*/
    String ID = "ID";
    /**本地编码*/
    String LOCAL_ID = "localId";
    /**本地名称*/
    String LOCAL_NAME = "localName";
    /**是否检查classCode使用的classCodes列表*/
    Set<String> CHECK_CLASS_CODES= CollUtil.newHashSet("SETDLS","SETDHS");
    /**是否检查传感器使用的传感器类型*/
    Set<String> CHECK_SENSOR_CODES= CollUtil.newHashSet("SPVSCM","FFEALS","FFFPSE","FFFASE","SPIASE",
            "WEGMCM","WEOFCM","WEGMPD","FFGASE","OTSESP","OTSESD","OTSETP","OTSEVD","OTSEPS","OTSEPF","OTSERH",
            "OTSEIP","OTSEIL","OTSEHT","OTSECB","OTSECT","OTSEEE","OTSEDP","OTSEFL");
}
